Skip to main content
`Ctrl`+`K`

# PetscUnlikely

Hints the compiler that the given condition is usually false

## Synopsis

    #include <petscmacros.h>
    bool PetscUnlikely(bool cond)

Not Collective; No Fortran Support

## Input Parameter

- cond - Boolean expression

## Note

This returns the same truth value, it is only a hint to compilers that the result of cond is unlikely to be true.

## Example usage

      if (PetscUnlikely(cond)) {
        foo(); // cold path
      } else {
        bar(); // hot path
      }

## See Also

`PetscLikely()`, `PetscUnlikelyDebug()`, `PetscCall()`, `PetscDefined()`, `PetscHasAttribute()`, `PETSC_ATTRIBUTE_COLD`

## Level

advanced

## Location

include/petscmacros.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages